cd openssl
@ECHO off
cls
:Start
cls
echo Selecione
echo.
echo 1 PFX_TO_PEM
echo 2 PFX_TO_CER
echo 3 PFX_TO_KEY
echo 4 CER_AND_KEY_TO_PFX
echo 5 GERAR_KEY
echo 6 KEY_TO_CSR
echo 7 EXTRAIR_PUBLIC_KEY_KEY
echo 8 CER_TO_PEM
echo 100 Sair
set choice=
set /p choice=Digite a opcao.
if '%choice%'=='1' goto PFX_TO_PEM
if '%choice%'=='2' goto PFX_TO_CER
if '%choice%'=='3' goto PFX_TO_KEY
if '%choice%'=='4' goto CER_AND_KEY_TO_PFX
if '%choice%'=='5' goto GERAR_KEY
if '%choice%'=='6' goto KEY_TO_CSR
if '%choice%'=='7' goto EXTRAIR_PUBLIC_KEY_KEY
if '%choice%'=='8' goto CER_TO_PEM
if '%choice%'=='100' goto Sair
ECHO "%choice%" is not valid, try again
ECHO.

:PFX_TO_PEM
echo Gerando PEM
openssl pkcs12 -in certificado.pfx -out certificado.pem -nodes  
pause
goto Start

:PFX_TO_CER
echo Gerando CER
openssl pkcs12 -in certificado.pfx -out certificado.cer -nodes
pause
goto Start

:PFX_TO_KEY
echo Gerando Key
openssl pkcs12 -in certificado.pfx -nocerts -nodes -out certificado.key
pause
goto Start

:CER_AND_KEY_TO_PFX
echo Gerando PFX
openssl pkcs12 -export -in certificado.cer -inkey certificado.key -out certificado.pfx
pause
goto Start

:GERAR_KEY
echo Gerando Key
openssl genrsa -des3 -out certificado.key 2048
pause
goto Start

:KEY_TO_CSR
echo Gerando CSR
openssl req -new -key certificado.key -out certificado.csr -config openssl.cnf
pause
goto Start

:EXTRAIR_PUBLIC_KEY_KEY
echo Gerando CSR
openssl rsa -in certificado.key -out certificado_Public.key
pause
goto Start

:CER_TO_PEM
echo Gerando pem
openssl x509 -inform der -in certificado.cer -out certificado_Public2.pem
pause
goto Start

:Sair